> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strideagents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Phone Number

> Register a phone number record. Requires API key authentication via Authorization: Bearer or X-API-Key header.



## OpenAPI

````yaml POST /phone-number
openapi: 3.1.0
info:
  title: Stride Agents API
  description: >

    Build and deploy AI voice agents that can make and receive phone calls with
    natural conversation.


    ## Authentication


    All endpoints require an API key passed via the `Authorization` header:


    ```

    Authorization: Bearer sk_your_api_key

    ```


    ## Resources


    - **Agents** — Create and configure AI voice agents

    - **Calls** — Initiate, monitor, and manage voice calls

    - **Phone Numbers** — Manage phone numbers and routing

    - **Tools** — Define function calling tools for agents

    - **Knowledge Bases** — Upload documents for RAG-powered conversations

    - **Voices** — Browse available TTS voices
  version: 1.0.0
servers:
  - url: /v1
security: []
paths:
  /phone-number:
    post:
      tags:
        - Phone Numbers
      summary: Create a phone number
      description: >-
        Register a phone number record. Requires API key authentication via
        Authorization: Bearer or X-API-Key header.
      operationId: create_phone_number_phone_number_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePhoneNumberRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumberResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    CreatePhoneNumberRequest:
      properties:
        phone_number:
          type: string
          title: Phone Number
          description: E.164 format phone number
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        country_code:
          type: string
          title: Country Code
          default: US
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        inbound_agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Inbound Agent Id
        outbound_agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Outbound Agent Id
        sms_enabled:
          type: boolean
          title: Sms Enabled
          default: true
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
        fallback_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Fallback Phone Number
        provider_account_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Account Sid
        capabilities:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Capabilities
      type: object
      required:
        - phone_number
      title: CreatePhoneNumberRequest
      description: Create a new phone number record.
    PhoneNumberResponse:
      properties:
        id:
          type: string
          title: Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        phone_number:
          type: string
          title: Phone Number
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Verified
        capabilities:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Capabilities
        inbound_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Inbound Agent Id
        outbound_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Outbound Agent Id
        sms_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sms Enabled
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
        fallback_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Fallback Phone Number
        provider_account_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Account Sid
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - phone_number
      title: PhoneNumberResponse
      description: Full phone number record returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````